[kde] kde-tempdir removes all -x bits and that breaks the custom invoke-rc.d that is used during the upgrade (was: upgrade fails because invoke-rc.d fails)

Bug #147742 reported by Bret Fledderjohn on 2007-10-01
2
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Michael Vogt

Bug Description

Binary package hint: update-manager

Updating from 64bit Feisty to 64bit Gutsy beta

ProblemType: Package
Architecture: amd64
Date: Mon Oct 1 12:55:21 2007
DistroRelease: Ubuntu 7.10
ErrorMessage: ErrorMessage: SystemError in cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1)

NonfreeKernelModules: vmnet vmmon nvidia
Package: update-manager 1:0.78
PackageArchitecture: all
SourcePackage: update-manager
Title: package update-manager 1:0.78 failed to install/upgrade: ErrorMessage: SystemError in cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1)
Uname: Linux fledderjohn-hp 2.6.20-16-generic #2 SMP Sun Sep 23 18:31:23 UTC 2007 x86_64 GNU/Linux

Michael Vogt (mvo) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better.

Could you please add the log files from '/var/log/dist-upgrade/' to this bugreport as attachments to your bug report? Thanks in advance.

Changed in update-manager:
status: New → Incomplete
Michael Vogt (mvo) wrote :

invoke-rc.d fails:

Installing new version of config file /etc/init.d/laptop-mode ...
 * Enabling laptop mode...
   ...done.
Setting up acpid (1.0.4-5ubuntu8) ...
 * Loading ACPI modules...
 * Starting ACPI services...
invoke-rc.d: initscript acpid, action "start" failed.
dpkg: error processing acpid (--configure):
 subprocess post-installation script returned error exit status 1

Changed in update-manager:
importance: Undecided → High
status: Incomplete → Confirmed

I just did a test run on a server install and there it behaves correctly and just warns about invoke-rc.d failures:

Setting up apparmor (2.1+993-0ubuntu3) ...^M
update-initramfs: deferring update (trigger activated)^M
$Mounting securityfs on /sys/kernel/security: done.^M
$Loading AppArmor module: Failed.^M
invoke-rc.d: initscript apparmor, action "start" failed.^M
invoke-rc.d: release upgrade in progress, error is not fatal^M
$Loading AppArmor module: Failed.^M
invoke-rc.d: initscript apparmor, action "reload" failed.^M
invoke-rc.d: release upgrade in progress, error is not fatal^M
^M

Michael Vogt (mvo) wrote :

This problem is fixed in the current update-manager, it does use its own invoke-rc.d and restarts are no longer fatal during a releae upgrade.

Changed in update-manager (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
status: Confirmed → Fix Released
Michael Vogt (mvo) on 2009-04-21
Changed in update-manager (Ubuntu):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.120

---------------
update-manager (1:0.120) karmic; urgency=low

  * The 'Ready for karmic' version
  * DistUpgrade/DistUpgradeController.py:
    - do not fail in partial upgrades if apport must be
      enabled (LP: #357755)
    - when rewriting sources.list, check for cdrom entries
      that do not have associated list files and disable
      them (LP: #366459)
    - when rewriting sources.list, deal better with apt-cacher
      apt-torrent style uris (LP: #365537)
  * DistUpgrade/xorg_fix_proprietary.py:
    - instead of replacing fglrx->ati and nvidia->nv just
      comment out the driver and let xorg figure it out
      with its own magic (LP: #351394)
    - update tests/ for the change
  * UpdateManager/UpdateManager.py:
    - use a gtk link button to point the user to further
      upgrade information
  * DistUpgrade/DistUpgradeController.py:
    - ensure ./imported/invoke-rc.d is executable (LP: #147742)
  * refactor the quirks handlers and not run them in partial
    upgrade mode
  * tests/test_sources_list.py:
    - update tests for apt-torrent style uris (LP: #365537)
  * DistUpgrade/DistUpgrade.cfg:
    - remove edubuntu-desktop from the flavour metapackages, its
      not its own flavour anymore
  * help/C/update-manager-C.omf:
    - point to file:/usr/share/gnome/help/update-manager/C/update-manager.xml
      (LP: #368140)

 -- Michael Vogt <email address hidden> Tue, 28 Apr 2009 14:43:26 +0200

Changed in update-manager (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers